Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80672 - bad source code
Summary: bad source code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gv
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-29 17:32 UTC by d.binderman
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-18 18:35:24 UTC


Attachments (Terms of Use)

Description d.binderman 2002-12-29 17:32:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I have just tried to compile package gv-3.5.8-18 from Redhat 8.0

I got the following messages from the compiler.

cc: Info: process.c, line 291: In this statement, an array is being accessed outside the bounds specified for the array type. (subscrbounds)

Here is an untested patch to shut up the compiler.

./source/process.c.old ./source/process.c
*** ./source/process.c.old	Sun Dec 15 14:40:47 2002
--- ./source/process.c	Sun Dec 15 14:41:03 2002
***************
*** 272,278 ****
     pid = fork();
  
     if (pid == 0) { /* child */
!       char *argv[3];
        char *c;
  
        INFMESSAGE(child process)
--- 272,278 ----
     pid = fork();
  
     if (pid == 0) { /* child */
!       char *argv[ 4];
        char *c;
  
        INFMESSAGE(child process)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile with Compaq C compiler or any C compiler that
does literal constant array index checking.
2.
3.
    

Additional info:

Comment 1 Dan Williams 2004-05-18 18:35:24 UTC
Should be fixed in 3.5.8-27


Note You need to log in before you can comment on or make changes to this bug.